require 'pageflow/widget_type'

module Scrollytelling
  module Pageflow
    module Comscore
      class WidgetType < ::Pageflow::WidgetType
        def initialize(name_prefix:)
          @name_prefix: name_prefix
        end

        def name
          'comscore_tag'
        end

        def roles
          ['comscore']
        end

        def render(template, entry)
          template.render('scrollytelling/pageflow/comscore/widget.html.erb', entry: entry, name_prefix: @name_prefix)
        end
      end
    end
  end
end
